Documentation Index

Fetch the complete documentation index at: https://documents.trocco.io/llms.txt

Use this file to discover all available pages before exploring further.

転送先カスタムコネクタ作成

Prev Next
Post
/api/custom_connector_outputs

転送先カスタムコネクタ定義を作成します。

Security
API Key: ApiKeyAuth
Header parameter nameAuthorization

認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
API KEYがabc123の場合は、Authorization: Token abc123とします。
API KEYの作成方法は、TROCCO API KEYの作成を参照ください。

Body parameters
Expand All
object

転送先カスタムコネクタ定義の作成/更新リクエストです。

name
string Required
ExampleMy Output Connector
description
string | null
Exampledesc
url
string Required

ベースURLです。http/https のみ、プライベートIPは指定できません。

Examplehttps://api.example.com
auth_type
string Required
Valid values[ "api_key", "oauth2" ]
Exampleapi_key
auth_header_name
string
ExampleAuthorization
auth_header_scheme
string | null
ExampleBearer
grant_type
string | null
Valid values[ "authorization_code", "client_credentials" ]
auth_uri
string | null
access_token_uri
string | null
endpoints
Array of object

転送先エンドポイント定義の一覧です。 更新時は省略すると既存のエンドポイントを維持し(差分更新)、指定した場合は 指定内容で洗い替えします(空配列を指定すると全削除)。

object

転送先エンドポイント定義(作成/更新リクエスト用)です。 更新時に既存エンドポイントを温存する場合は id を指定します。id を省略すると新規作成されます。

id
integer (int64)

既存エンドポイントのIDです。更新時に温存対象を指定する場合のみ設定します。

Example1
name
string Required
Examplecreate_user
request_type
string Required
Valid values[ "single", "multiple" ]
Examplesingle
batch_size
integer
Example1
method
string Required
Valid values[ "get", "post", "put", "patch" ]
Examplepost
operation
string Required
Valid values[ "create", "update" ]
Examplecreate
path
string Required
Example/users
payload_type
string Required
Valid values[ "json" ]
Examplejson
success_codes
string Required
Example200,201,204
not_retryable_codes
string Required
Example400,401,403,404
request_timeout_sec
integer Required
Example30
template
string Required
headers
Array of object
object

エンドポイントのパラメータ・ヘッダーで共通のフィールド設定です。

name
string Required

フィールド名です。

Examplelimit
display_name
string Required

画面表示名です。

ExampleLimit
default_value
string | null

デフォルト値です。is_editable が false の場合は必須です。

Example100
is_editable
boolean Required

転送設定側で編集可能かどうかです。

Exampletrue
is_required
boolean Required

必須かどうかです。

Exampletrue
path_parameters
Array of object
object

エンドポイントのパスパラメータです。

name
string Required

パスパラメータ名です。

Exampleuser_id
value
string Required

値です。エンドポイントの path 内に含まれている必要があります。

Exampleuser_id
query_parameters
Array of object
object

エンドポイントのパラメータ・ヘッダーで共通のフィールド設定です。

name
string Required

フィールド名です。

Examplelimit
display_name
string Required

画面表示名です。

ExampleLimit
default_value
string | null

デフォルト値です。is_editable が false の場合は必須です。

Example100
is_editable
boolean Required

転送設定側で編集可能かどうかです。

Exampletrue
is_required
boolean Required

必須かどうかです。

Exampletrue
Responses
201

作成したカスタムコネクタ定義を返します。

Expand All
object

転送先カスタムコネクタ定義(詳細)です。

id
integer (int64)
Example1
name
string
ExampleMy Output Connector
description
string | null
Exampledesc
url
string
Examplehttps://api.example.com
auth_type
string
Valid values[ "api_key", "oauth2" ]
Exampleapi_key
auth_header_name
string
ExampleAuthorization
auth_header_scheme
string | null
ExampleBearer
transfer_type
string
Valid values[ "input", "output" ]
Exampleoutput
grant_type
string | null
auth_uri
string | null
access_token_uri
string | null
endpoints
Array of object

転送先エンドポイント一覧です(id 昇順)。

object

転送先カスタムコネクタのエンドポイント定義です。

id
integer (int64)

エンドポイントIDです。更新時にこのIDを指定すると既存エンドポイントが温存されます。

Example1
name
string
Examplecreate_user
request_type
string

1レコードずつ送るか複数まとめて送るかです。

Valid values[ "single", "multiple" ]
Examplesingle
batch_size
integer

multiple 時の1リクエストあたり件数(1〜100)です。

Example1
method
string
Valid values[ "get", "post", "put", "patch" ]
Examplepost
operation
string

追加(create)か更新(update)かです。

Valid values[ "create", "update" ]
Examplecreate
path
string
Example/users
payload_type
string
Valid values[ "json" ]
Examplejson
success_codes
string
Example200,201,204
not_retryable_codes
string
Example400,401,403,404
request_timeout_sec
integer

リクエストタイムアウト秒(1〜60)です。

Example30
template
string

リクエストボディを生成する Liquid テンプレートです。

headers
Array of object

ヘッダー一覧です(作成順)。

object

エンドポイントのパラメータ・ヘッダーで共通のフィールド設定です。

name
string

フィールド名です。

Examplelimit
display_name
string

画面表示名です。

ExampleLimit
default_value
string | null

デフォルト値です。is_editable が false の場合は必須です。

Example100
is_editable
boolean

転送設定側で編集可能かどうかです。

Exampletrue
is_required
boolean

必須かどうかです。

Exampletrue
path_parameters
Array of object

パスパラメータ一覧です(作成順)。

object

エンドポイントのパスパラメータです。

name
string

パスパラメータ名です。

Exampleuser_id
value
string

値です。エンドポイントの path 内に含まれている必要があります。

Exampleuser_id
query_parameters
Array of object

クエリパラメータ一覧です(作成順)。

object

エンドポイントのパラメータ・ヘッダーで共通のフィールド設定です。

name
string

フィールド名です。

Examplelimit
display_name
string

画面表示名です。

ExampleLimit
default_value
string | null

デフォルト値です。is_editable が false の場合は必須です。

Example100
is_editable
boolean

転送設定側で編集可能かどうかです。

Exampletrue
is_required
boolean

必須かどうかです。

Exampletrue
created_at
string
Example2023-08-22T18:00:00+00:00
updated_at
string
Example2023-08-22T18:00:00+00:00
400

Bad request.
不正なリクエストです。

401

Not authenticated.
認証エラーです。API KEYをご確認ください。